Kerbal Space Program - Bug #10916

Physics Warp weakens springs
09/01/2016 09:18 PM - Leibniz
Description

| have noticed that physics warp weakens springs relative to gravity. It is most noticeable when everything is static and all the forces
ought to balance.

Example: Build and launch the following from the VAB: Stayputnik at the top, X200-32, docked pair of Clamp-O-Trons, another
X200-32. Wait for it to settle and then physics warp - the upper Clamp-O-Tron will sink into the lower one.

http://imgur.com/a/NQQqga

| suspect that "flapping wings" on a plane is related to this.

The example is static, so physics step size shouldn't be an issue (at x1 the net force is zero; at x2 the net force should be zero for 2
time units). So is this a bug, or is it a deliberate change to prevent explosions during physics warp?

History

#1 - 09/01/2016 09:21 PM - Leibniz
NB This is Bug #3996 updated for 1.1.3.

#2 - 11/07/2019 10:21 PM - RafaHdz
- File 2019-11-07 16_13_34-Kerbal Space Program.png added

- Status changed from New to Not a Bug

That's how the physics engine works and there's a warning message when Phys warp is activated for the first time letting the player know this kind of
issue can happen.
